CREATE TABLE registros (
    id SERIAL PRIMARY KEY,
    fecha DATE NOT NULL,
    proveedor VARCHAR(255),
    banco VARCHAR(255),
    cuenta VARCHAR(50),
    usuario_solicitante VARCHAR(255),
    usuario_respuesta VARCHAR(255),
    estado_respuesta SMALLINT,
	archivo_url TEXT,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP
);

-- Índices recomendados
CREATE INDEX idx_fecha ON registros (fecha);
CREATE INDEX idx_proveedor ON registros (proveedor);
CREATE INDEX idx_banco ON registros (banco);
CREATE INDEX idx_usuario_solicitante ON registros (usuario_solicitante);
CREATE INDEX idx_estado_respuesta ON registros (estado_respuesta);



CREATE TABLE archivo_url (
    id SERIAL PRIMARY KEY,
    usuario_create VARCHAR(255),
    id_registros INT,
    estado_archivo SMALLINT,  -- Considera usar SMALLINT si los valores son limitados
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	archivo TEXT,
    FOREIGN KEY (id_registros) REFERENCES registros(id) ON DELETE CASCADE
);

-- Índices recomendados
CREATE INDEX idx_id_registros ON archivo_url (id_registros);
CREATE INDEX idx_estado_archivo ON archivo_url (estado_archivo);
